# crawl_ouchn

[![Version](https://img.shields.io/badge/version-v1.1.0-brightgreen)](https://git.yoqi.me/lyq/crawl_ouchn)
[![.Python](https://img.shields.io/badge/Python-v3.8.5-brightgreen?style=plastic)](https://git.yoqi.me/lyq/crawl_ouchn)

["国家开放大学终身教育平台"](http://le.ouchn.cn/)课程视频批量下载

## Usage

1. Configure `config/config.json` file add some url which you want to download video.

```
  "courseUrl": [
    "http://le.ouchn.cn/#/courseDetails/CAAA010000023530"
  ]
```

2. run it xx.exe

3. downloading some lesson video need to login, So please configure `config/config.json` file `username` and `messageCode`  

## Docker deploy

1. create a `config.json` file, add below in it:

```
{
  "username": "15016215661",
  "messageCode": "123456",
  "courseUrl": [
    "http://le.ouchn.cn/#/courseDetails/CAAA010000023530"
  ]
}
```

you want to download a video which need to login. then you neet to modify `usename` and `messageCode`. the `courseUrl` are some urls which you can copy it from browser

2. run the docker container:
```

docker pull ccr.ccs.tencentyun.com/jianboy/crawl_ouchn:v2022.05.24

docker run -it --rm -v /data/crawl_ouchn/config/config.json:/app/config/config.json -v  /data/crawl_ouchn/Video:/app/Video ccr.ccs.tencentyun.com/jianboy/crawl_ouchn:v2022.05.24

```

## Development

please read [Develop](./docs/Develop.md)

### Update History

- [x] Multithreaded download.

- [x] Docker deployment has been implemented.

### Licenses

本项目开源,免费使用,无任何限制,下载的课件视频建议个人使用,请勿以盈利性目的分发哦.

仅供技术交流,有关部门认清形势,请勿随意请喝茶,喝咖啡欢迎!

QQ Group：772583198
WeChat Group: 

